Subject: Re: bug#39468: Openbox - Calculator does not load

From: "Scott C. MacCallum" <[email-masked]>
Date: Fri, 07 Feb 2020 14:48:47 +0000

"I believe we could do something along these lines:
1. Provide an openbox-minimal and an openbox entry.
2. openbox minimal would do what openbox does right now
3. define a %openbox-recommended-packages list that makes most of it work
4. the openbox entry would append the %openbox-recommended-packages to
the package list."

I like this. It sounds similar to what OpenBSD does after an X install, in that you're given a windows manager that only has a functioning xterm and working system functionality from the menu: shutdown, restart, etc.

Scott
scmguru - irc.freenode.net

Sent with ProtonMail Secure Email.

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Friday, February 7, 2020 9:29 AM, Gábor Boskovits <[email-masked]> wrote:

> Hello,
>
> Scott C. MacCallum via Bug reports for GNU Guix [email-masked] ezt
> írta (időpont: 2020. febr. 6., Cs, 22:38):
>
> > "I'd like to close your other bugs (39469 to 39474) as I think they all have the same root cause. I'll rename this one Do you agree?"
> > I agree. And I'll stop submitting bugs for the other broken menu items. :)
> > Scott
> > scmguru - irc.freenode.net
> > Sent with ProtonMail Secure Email.
> > ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
> > On Thursday, February 6, 2020 4:23 PM, Julien Lepiller [email-masked] wrote:
> >
> > > Le 6 février 2020 16:12:38 GMT-05:00, "Scott C. MacCallum" [email-masked] a écrit :
> > > Please make sure to keep debbugs in CC :)
> > >
> > > > > To be fair, if you installed only the openbox environment, none of
> > > > > the items in the menu would work
> > > >
> > > > I didn't install just an Openbox environment, I installed all of the
> > > > available desktop environments.
> > >
> > > I understand, and the other environments brought other packages with them, which made some of the menu items work.
> > >
> > > > > However, this is not a guix-specific bug, and as an openbox user, I
> > > > > don't expect to have all of these items available.
> > > >
> > > > Perhaps it's not an Guix-specific bug but that's certainly not the case
> > > > with other distros. It was my understanding that Guix wanted to reach
> > > > the widest audience possible, including those not technically inclined.
> > >
> > > OK, though I certainly got locked out of my initial installation on arch linux because I forgot to add xterm for instance, and I'm sure all of these items don't work ootb on debian or other distros.
> > > Maybe having openbox as an initial choice in the installer is a bad idea, or the installer could add these packages. We could also change the openbox package to restrict the quantity of default menu entries to some minimum.
>
> I believe we could do something along these lines:
>
> 1.  Provide an openbox-minimal and an openbox entry.
> 2.  openbox minimal would do what openbox does right now
> 3.  define a %openbox-recommended-packages list that makes most of it work
> 4.  the openbox entry would append the %openbox-recommended-packages to
>     the package list.
>
>     It needs more thought, but I believe this would improve the situation,
>     and having this list would ease
>     setup not only on install. Wdyt?
>
>
> > > I'd like to close your other bugs (39469 to 39474) as I think they all have the same root cause. I'll rename this one Do you agree?
> > >
> > > > > I don't really see how to improve the situation, do you have a
> > > > > suggestion?
> > > >
> > > > I actually don't use Openbox as my default desktop environment. I was
> > > > thinking about others.
> > > > Scott
> > > > scmguru - irc.freenode.net
> > > > Sent with ProtonMail Secure Email.
> > > > ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
> > > > On Thursday, February 6, 2020 4:03 PM, Julien Lepiller
> > > > [email-masked] wrote:
> > > >
> > > > > Le 6 février 2020 15:39:36 GMT-05:00, "Scott C. MacCallum via Bug
> > > > > reports for GNU Guix" [email-masked] a écrit :
> > > > >
> > > > > > After the installation of all the available desktop environments,
> > > > > > in
> > > > >
> > > > > > Openbox from the Accessories menu Calculator does not load.
> > > > > > Scott
> > > > > > scmguru - irc.freenode.net
> > > > > > Sent with ProtonMail Secure Email.
> > > > >
> > > > > To be fair, if you installed only the openbox environment, none of
> > > > > the items in the menu would work. However, this is not a guix-specific
> > > > > bug, and as an openbox user, I don't expect to have all of these items
> > > > > available. The menu is static and the same in all distros. You're
> > > > > supposed to configure it yourself, which makes it not very user
> > > > > friendly, but that's how it works.
> > > > > I don't really see how to improve the situation, do you have a
> > > > > suggestion?
>
> Best regards,
> g_bor
>
> ----------------------
>
> OpenPGP Key Fingerprint: 7988:3B9F:7D6A:4DBF:3719:0367:2506:A96C:CF63:0B21